require 'json'

class Admin::CategoriesController < Admin::ApplicationController
  
  skip_before_filter :verify_authenticity_token,
    :only => [:create, :update, :destroy]
  
  def index
    categories = Category.tops.order("sort_number")
    @group_by_categories = categories.group_by{|c|c.organization_id}
    respond_to do |format|
      format.html
      format.json{render :json => categories.map{|c| c.attributes}}
    end
  end

  def show
    @category = Category.includes(:children).find(params[:id])
    respond_to do |format|
      format.html
      format.json do
        render :json => {:parent =>@category.attributes, 
                      :children => @category.children.map{ |c| c.attributes}} 
      end
    end
  end
  
  def create
    c = JSON.parse(params["category"])
    category = Category.new(c)
    category.organization_id = 1
    result = category.save
    respond_to do |format|
      format.html{redirect_to(:action => :index)}
      format.json do
        render :json => result ? "OK" : "NG"
      end
    end
  end
  
  def update
    c = JSON.parse(params["category"])
    category = Category.find(params[:id])
    result = category.update_attributes(c)
    respond_to do |format|
      format.html{redirect_to(:action => :index)}
      format.json do
        render :json => result ? "OK" : "NG"
      end
    end
  end
  
  def destroy
    category = Category.find(params[:id])
    result = category.destroy
    respond_to do |format|
      format.html{redirect_to(:action => :index)}
      format.json do
        render :json => result ? "OK" : "NG"
      end
    end
  end

end
