# This controller handles the login/logout function of the site.  
class Admin::SessionsController < Admin::ApplicationController
  skip_before_filter :login_required, :only => [:new, :create]

  def index
    
  end

  # render new.rhtml
  def new
  end

  def create
    logout_keeping_session!
    user = User.authenticate(params[:login], params[:password])
    if user
      # Protects against session fixation attacks, causes request forgery
      # protection if user resubmits an earlier form using back
      # button. Uncomment if you understand the tradeoffs.
      # reset_session
      self.current_user = user
      new_cookie_flag = (params[:remember_me] == "1")
      handle_remember_cookie! new_cookie_flag
      respond_to do |format|
        format.html{redirect_back_or_default(admin_root_path, :notice => "Logged in successfully")}
        format.json{render :json => "OK"}
      end
    else
      note_failed_signin
      @login       = params[:login]
      @remember_me = params[:remember_me]
      respond_to do |format|
        format.html{render :action => 'new'}
        format.json{render :json => "NG"}
      end
    end
  end

  def destroy
    logout_killing_session!
    redirect_back_or_default(admin_root_path, :notice => "You have been logged out.")
  end
  
  # clientのみ使用するので
  def login_check
    respond_to do |format|
      # ここまでこれるということはlogin_requiredをスルーできているということ
      format.json {render :json => "OK"}
    end
  end

protected
  # Track failed login attempts
  def note_failed_signin
    flash.now[:error] = "Couldn't log you in as '#{params[:login]}'"
    logger.warn "Failed login for '#{params[:login]}' from #{request.remote_ip} at #{Time.now.utc}"
  end
end
