#coding:utf-8
class ApplicationController < ActionController::Base
  protect_from_forgery

  before_filter :organization_check

  def save_params_in_cookie
    if cookies[:ref_controller].blank?
      cookies[:ref_controller] = params[:controller]
    end
    if cookies[:ref_action].blank?
      cookies[:ref_action] = params[:action]
    end
    if params[:division_id].present? && cookies[:ref_division_id].blank?
      cookies[:ref_division_id] = params[:division_id]
    end
    if params[:category_id].present? && cookies[:ref_category_id].blank?
      cookies[:ref_category_id] = params[:category_id]
    end
  end

  private

  def organization_check
    if request.url =~ /yorimichi-kankou/
      org_name = request.url.split('/')[3]
    else
      org_name = request.url.split('/')[4]
    end
    @organization = Organization.find_by_dir_name(org_name)
  end

end
