#coding:utf-8
class SessionsController < ApplicationController


  def top
    @divisions = Division.order("sort_number").where("organization_id = ?", @organization.id).all
#    @divisions = Division.find(:all, :conditions => ["organization_id = ?", @organization.id], :order => "sort_number")
    @categories = Category.tops.order("sort_number").where("organization_id = ?", @organization.id).all
#    @categories = Category.find(:all, :conditions => ["organization_id = ? and parent_id = ?", @organization.id, 0], :order => "sort_number")

    init_cookies
  end


  def side_trip_list
    @division = Division.find(params[:division_id])
    
    # cookie初期化・更新
    save_params_in_cookie
    cookies.delete :ref_spot_id unless cookies[:ref_spot_id].blank?
  end

  def yorimichi_sort
    @division = Division.find(params[:division_id])
    start_lat = params[:lat].to_f
    start_longi = params[:longi].to_f
    @start_end = @organization.distance(start_lat,start_longi)
    @spot_distance_ary = []
    @division.spot_divisions.each do |spot_division|
      spot = spot_division.spot
      st_mid_distance = spot.distance(start_lat,start_longi)
      mid_end_distance = spot.distance(@organization.dest_latitude,@organization.dest_longitude)
      yorimichi_total = st_mid_distance + mid_end_distance
      @spot_distance_ary<< [yorimichi_total, spot, st_mid_distance, mid_end_distance]
    end
    @spot_distance_ary.sort_by!{|yorimichi_total, spot, st_mid_distance, mid_end_distance| st_mid_distance}
    if @organization.means_route == 'DRIVING'
      difflag = '&dirflg=d'
    elsif @organization.means_route == 'WALKING'
      difflag = '&dirflg=w'
    end
    @dest_map_url = "http://maps.google.co.jp/maps?saddr=" + start_lat.to_s + ',' + start_longi.to_s + '&daddr=' + @organization.dest_latitude.to_s + ',' + @organization.dest_longitude.to_s + difflag
    render :partial => "spot_list", :layout => false
  end
  
#  def dist_sort
#    start_lat = params[:start].split(/,/)[0].to_f
#    start_longi = params[:start].split(/,/)[1].to_f
#    end_lat = params[:end].split(/,/)[0].to_f
#    end_longi = params[:end].split(/,/)[1].to_f
#    @division = Division.find(params[:division_id])
#    spot_ids = params[:spot_ids].split(/,/)
#    dif_dists = params[:dif_dists].split(/,/)
#    stmid_dists = params[:stmid_dists].split(/,/)
#    spots = []
#    spot_ids.each do |spot_id|
#      spot = Spot.find(spot_id)
#      if spot.yorimichi_range?(start_lat, start_longi, end_lat, end_longi)
#        spots << spot
#      end
#    end
#    spot_datas = []
#    spots.each do |spot|
#      spot_datas << [spot, dif_dists.shift.to_f, stmid_dists.shift.to_f]
#    end
#    spot_datas.sort_by!{|spot, dif_dist, stmid_dist| dif_dist}
#    if @organization.means_route == 'DRIVING'
#      difflag = '&dirflg=d'
#    elsif @organization.means_route == 'WALKING'
#      difflag = '&dirflg=w'
#    end
#    html = ""
#    html += "<section><div class='taisha'><p>"
#    html += "<img src='../../images/#{@organization.trip_image}' alt='ここから' width='117' height='41'</img>#{@organization.destination}まで#{params[:start_end]} km"
#    html += '　<a href="http://maps.google.co.jp/maps?saddr=' + start_lat.to_s + ',' + start_longi.to_s + '&daddr=' + @organization.dest_latitude.to_s + ',' + @organization.dest_longitude.to_s + difflag + '" target="_self">[ルート地図]</a>'
#    html += '</p></div></section>'
#    html += "<section>"
#    if @division.sort_number % 2 != 0
#      html += "<h2 class='power-heading'>#{@division.name}</h2></span><ul class='linklist-pink-2line'>"
#    else
#      html += "<h2 class='osusume-heading'>#{@division.name}</h2></span><ul class='linklist-blue-2line'>"
#    end
#    spot_datas.each do |spot, dif_dist, stmid_dist|
#      html += "<li><a href='../spots/show?id=#{spot.id}&lat=#{spot.latitude}&longi=#{spot.longitude}' target='_self'>#{spot.name}</a>"
#      html += "<br /><span class='linklist-param'>寄り道プラス#{dif_dist} km　　  ここから#{stmid_dist} km</span></li>"
#    end
#    html += "</ul></section>"
#    render :text => html
#  end

  private

  def init_cookies
    cookies.delete :ref_controller if cookies[:ref_controller]
    cookies.delete :ref_action if cookies[:ref_action]
    cookies.delete :ref_division_id if cookies[:ref_division_id]
    cookies.delete :ref_category_id if cookies[:ref_category_id]
    cookies.delete :ref_spot_id if cookies[:ref_spot_id]
  end

end
