module ApplicationHelper

  # 改行コードを改行タグに置き換え
  # 改行コード対応エスケープ(備考欄等)
  # http://d.hatena.ne.jp/koseki2/20070415/hbr
  def hbr(str)
    str = html_escape(str)
    raw(str.gsub(/\r\n|\r|\n/, "<br />"))
  end

  # 戻るボタン用、戻り先URL生成
  def get_back_list_url
    if cookies[:ref_controller] == "events"
      url = custom_url_for :controller => cookies[:ref_controller], :action => "index"
    else
      url = custom_url_for :controller => cookies[:ref_controller], :action => cookies[:ref_action]
    end

    if cookies[:ref_division_id]
      url += "?division_id=#{cookies[:ref_division_id]}"
    elsif cookies[:ref_category_id]
      url += "?category_id=#{cookies[:ref_category_id]}"
    end
    return url
  end

  # url_for の劣化版
  # 団体ディレクトリパスを含んだURLを返す
  def custom_url_for(options = {})
    url = ""
    if request.fullpath =~ /yorimichi_kankou/
      url += "/yorimichi_kankou"
    end

    url += "/#{@organization.dir_name}"

    if options[:controller].present?
      url += "/#{options[:controller]}"
      options.delete(:controller)
    else
      url += "/#{params[:controller]}"
    end
    if options[:action].present?
      url += "/#{options[:action]}"
      options.delete(:action)
    else
      url += "/#{params[:action]}"
    end
    if options[:id].present?
      url += "/#{options[:id]}"
      options.delete(:id)
    end

    unless options.length == 0
      url += "?"
      options.each_with_index do |key_val, i|
        url += "&" unless i == 0
        url += "#{key_val[0]}=#{key_val[1]}"
      end
    end
    
    return url
  end

  # アクセスしている端末がスマートフォンなら ture を返す
  def smart_phone?
    keywords = ["iPhone","iPad","iPod","Android"]
    keywords.each do |keyword|
      if request.user_agent =~ /#{keyword}/
        return true
      end
    end
    return false
  end

end
