# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20110309094457) do

  create_table "categories", :force => true do |t|
    t.integer  "organization_id", :null => false
    t.string   "name"
    t.integer  "sort_number"
    t.integer  "parent_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "categories", ["organization_id"], :name => "index_categories_on_organization_id"

  create_table "divisions", :force => true do |t|
    t.integer  "organization_id", :null => false
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "divisions", ["organization_id"], :name => "index_divisions_on_organization_id"

  create_table "near_spots", :force => true do |t|
    t.integer  "spot_id",     :null => false
    t.integer  "near_id"
    t.integer  "sort_number"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "near_spots", ["spot_id"], :name => "index_near_spots_on_spot_id"

  create_table "organizations", :force => true do |t|
    t.string   "name",           :null => false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "destination"
    t.float    "dest_latitude"
    t.float    "dest_longitude"
  end

  create_table "sessions", :force => true do |t|
    t.string   "session_id", :null => false
    t.text     "data"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "sessions", ["session_id"], :name => "index_sessions_on_session_id"
  add_index "sessions", ["updated_at"], :name => "index_sessions_on_updated_at"

  create_table "spot_categories", :force => true do |t|
    t.integer  "spot_id",     :null => false
    t.integer  "category_id", :null => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "spot_categories", ["category_id"], :name => "index_spot_categories_on_category_id"
  add_index "spot_categories", ["spot_id"], :name => "index_spot_categories_on_spot_id"

  create_table "spot_divisions", :force => true do |t|
    t.integer  "spot_id",     :null => false
    t.integer  "division_id", :null => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "spot_divisions", ["division_id"], :name => "index_spot_divisions_on_division_id"
  add_index "spot_divisions", ["spot_id"], :name => "index_spot_divisions_on_spot_id"

  create_table "spots", :force => true do |t|
    t.integer  "organization_id",               :null => false
    t.string   "name"
    t.string   "city"
    t.string   "address"
    t.string   "tel",             :limit => 15
    t.text     "url"
    t.text     "memo"
    t.float    "latitude"
    t.float    "longitude"
    t.text     "coupon"
    t.text     "treasure"
    t.string   "hashtag"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "spots", ["organization_id"], :name => "index_spots_on_organization_id"

  create_table "users", :force => true do |t|
    t.integer  "organization_id",                                     :null => false
    t.string   "email",                               :default => "", :null => false
    t.string   "encrypted_password",   :limit => 128, :default => "", :null => false
    t.string   "password_salt",                       :default => "", :null => false
    t.string   "reset_password_token"
    t.string   "remember_token"
    t.datetime "remember_created_at"
    t.integer  "sign_in_count",                       :default => 0
    t.datetime "current_sign_in_at"
    t.datetime "last_sign_in_at"
    t.string   "current_sign_in_ip"
    t.string   "last_sign_in_ip"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "users", ["email"], :name => "index_users_on_email", :unique => true
  add_index "users", ["organization_id"], :name => "index_users_on_organization_id"
  add_index "users", ["reset_password_token"], :name => "index_users_on_reset_password_token", :unique => true

end
