# -*- encoding: utf-8 -*-

require 'rubygems'

def hikawa_make
    organization = Organization.new(
      :name => "斐川観光協会",
      :destination => "出雲大社",
      :dest_latitude => 35.402035,
      :dest_longitude => 132.685456,
      :trip_height => 0.04507,  #よりみち範囲たて 1km=0.009014
      :trip_width => 0.05504,   #よりみち範囲よこ 1km=0.011095
      :dir_name => "hikawano",
      :st_latitude => 35.414879, #出雲空港緯度
      :st_longitude => 132.88591, #出雲空港経度
      :means_route => "DRIVING", #ルート検索手段
      :tres_distance => 300,  #meter
      :header_image => "h1.jpg",
      :footer_image => "footer_owner_logo.gif",
      :trip_image => "taisha_kokokara.gif",
      :title => "ようこそ 出雲の玄関斐川町へ"
    )
    organization.save
    category = Category.new(:organization_id => organization.id,
                    :name => "食事",
                    :sort_number => 1,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "食べる",
                    :sort_number => 1,
                    :image => "near_sublink_shokuji.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "飲む",
                    :sort_number => 2,
                    :image => "nomu.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "特産品",
                    :sort_number => 2,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "お土産",
                    :sort_number => 1,
                    :image => "near_sublink_tokusan.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "お菓子",
                    :sort_number => 2,
                    :image => "near_sublink_okashi.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "お茶",
                    :sort_number => 3,
                    :image => "near_sublink_tea.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "餅",
                    :sort_number => 4,
                    :image => "mochi.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "しじみ直売所",
                    :sort_number => 5,
                    :image => "near_sublink_shijimi.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "伝統・文化",
                    :sort_number => 3,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "工芸",
                    :sort_number => 1,
                    :image => "kougei.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "陶芸",
                    :sort_number => 2,
                    :image => "tougei.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "芸術・文化",
                    :sort_number => 3,
                    :image => "geijutu.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "遺跡・神社仏閣",
                    :sort_number => 4,
                    :image => "iseki.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "遊ぶ",
                    :sort_number => 4,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "遊ぶ",
                    :sort_number => 1,
                    :image => "asobu.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "宿泊・温泉",
                    :sort_number => 5,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "宿泊",
                    :sort_number => 1,
                    :image => "shukuhaku.jpg",
                    :parent_id => category.id)
    sub_category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "温泉",
                    :sort_number => 2,
                    :image => "onsen.jpg",
                    :parent_id => category.id)
    sub_category.save
    category = Category.new(:organization_id => organization.id,
                    :name => "レンタカー・その他",
                    :sort_number => 6,
                    :parent_id => 0)
    category.save
    sub_category = Category.new(:organization_id => organization.id,
                    :name => "レンタカー他",
                    :sort_number => 1,
                    :image => "rentacar.jpg",
                    :parent_id => category.id)
    sub_category.save
    division = Division.new(:organization_id => organization.id,
                    :name => "パワースポット",
                    :sort_number => 1)
    division.save
    division = Division.new(:organization_id => organization.id,
                    :name => "古事記・歴史スポット",
                    :sort_number => 2)
    division.save
    division = Division.new(:organization_id => organization.id,
                    :name => "おすすめ風景スポット",
                    :sort_number => 3)
    division.save
    division = Division.new(:organization_id => organization.id,
                    :name => "おすすめスポット",
                    :sort_number => 4)
    division.save
    puts "success"
end

hikawa_make
