#coding:utf-8
#This script command => $RAILS_ROOT/rails runner ./script/matsueno_spots_csv_to_db.rb

#Attention! Category's records are already saved,
# and top_category sub_category of relation are matching for csv's form!

KCODE="UTF-8"
require "pp"
require "rubygems"
require "csv"

def create_spots_and_spot_categories
  index_and_cate_id = Hash.new
  top_categories = Category.where('parent_id = ? and organization_id = ?', 0, @matsue.id).order('sort_number')
  i = 0
  top_categories.each do |top_category|
    index_and_cate_id.store("#{i}",top_category.id)
    i += 1
    top_category.sub_categories.each do |sub_category|
      index_and_cate_id.store("#{i}",sub_category.id)
      i += 1
    end
  end
  category_num = index_and_cate_id.length
  CSV.foreach("./script/matsue_spots") do |row|
    spot = Spot.new(:organization_id => @matsue.id,
                    :name => row[13],
                    :tel => row[14],
                    :city => row[15],
                    :address => row[16],
                    :latitude => row[17],
                    :longitude => row[18],
                    :memo => row[19],
                    :url => row[20],
                    :treasure_url => row[26],
                    :treasure_auth_id => row[27],
                    :treasure_auth_password => row[28])
    if spot.valid?
      puts "#{spot.name} valid ok!"
      row[0...category_num].each_with_index do |t, j|
        if t == "1"
          spot.spot_categories.build(:category_id => index_and_cate_id["#{j}"])
          puts "This spot belong #{spot.spot_categories.last.category.name}"
        end
      end
      if row[11] == "1"
        choninbunka = Division.first(:conditions => ["organization_id = ? and sort_number = ?", @matsue.id, 1])
        spot.spot_divisions.build(:division_id => choninbunka.id)
      end
      if row[12] == "1"
        nostargy = Division.first(:conditions => ["organization_id = ? and sort_number = ?", @matsue.id, 2])
        spot.spot_divisions.build(:division_id => nostargy.id)
      end
      spot.save!
      puts "#{spot.name} is successfully saved!"

      unless row[25].blank?
        spot = Spot.find(:first, :order => "id desc")
        coupon = Coupon.new(:spot_id => spot.id, :body => row[25])
        coupon.save!
      end

    else
      puts "#{spot.name} failure!"
    end
  end
rescue => ex
	pp ex
end

def matsue_spots_create
  if @matsue = Organization.find_by_dir_name("matsue")
    create_spots_and_spot_categories
  else
    puts "matsue couldn't find! Please matsue save Organizations table."
  end
rescue => ex
	pp ex
end

matsue_spots_create
